AMSUNTAR(8)

NAME
amsuntar - Amanda Application to interface with native tar utility available on solaris platforms

DESCRIPTION

Amsuntar is an Amanda Application API script. It should not be run by users directly. It uses Solaris bundled tar utility to backup and restore data. Currenty ACLs from ZFS file system can only be backed up using the solaris supplied tar utility.

The diskdevice in the disklist (DLE) must be the directory to backup.

Solaris 10 supports Role Based Access Control(RBAC) which is enabled by default. To run backup operations using sun tar utility by under privileged user like amandabackup, amandabackup user need to have proper roles and profiles, specially "Media Backup" profile/role. This can be done using 'usermod -P "Media Backup" amandabackup' command.

PROPERTIES

This section lists the properties that control amsuntar's functionality. See amanda-applications(7) for information on application properties and how they are configured.

BLOCK-SIZE
    Optional tar read or write block size. The default is 256.

DIRECTORY
    If set, suntar will backup from that directory instead of the diskdevice set by the DLE. On restore, the data is restore in that directory instead of the current working directory.

EXTENDED-ATTRIBUTES
    Include extended attributes in archive. The default is YES.

EXTENDED-HEADERS
    Write tar file with extended headers. With this optiion the modification time is maintained with a granularity of microseconds,Long file names and file sizes greater than 8GB can be archived. The default is YES.

SUNTAR-PATH
    The path to the suntar binary. The default is set when Amanda is built.

LANG
    Default LANG is "C". suntar require an UTF-8 LANG if you have UTF-8 filename and it is configured for extended headers. A good value can be "en_US.UTF-8" if that locale is installed on your machine.

NORMAL
    List all regex (Perl Regular Expression syntax) that are normal output from sun tar. These output are in the "FAILED DUMP DETAILS" section of the email report if the dump result is STRANGE or FAILED. Default values:

    is not a file. Not dumped\$
    same as archive file\$

    To treat one of these default patterns differently, specify it explicitly in a different property.

IGNORE
    List all regex (Perl Regular Expression syntax) that amanda ignore. These output are never in the email report.

STRANGE
    List all regex (Perl Regular Expression syntax) that are strange output from sun tar. The result of the dump is STRANGE if sun tar produce a strange output. These output are in the "FAILED DUMP DETAILS" section of the email report. Default values:

    : invalid character in UTF-8 conversion of
    : UTF-8 conversion failed.\$

    To treat one of these default patterns differently, specify it explicitly in a different property.

ERROR
    List all regex (perl Regular Expression syntax) that are error output from sun tar. All sun tar output that doesn't match a normal, ignore or strange regex are error by default. The result of the dump is FAILED if sun tar produce an error output. These output are in the "FAILED DUMP DETAILS" section of the email report. Default values:

    : Permission denied\$

    To treat one of these default patterns differently, specify it explicitly in a different property.

SEE ALSO

amanda(8), amanda.conf(5), amanda-applications(7)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHORS

Satya Ganga <gast@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)

Jean-Louis Martineau <martineau@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)

Dustin J. Mitchell <dustin@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)